DtEditorDisableRedisplay(library call)

NAME
DtEditorDisableRedisplay — temporarily prevent visual update of a DtEditor widget

SYNOPSIS

#include &<Dt/Editor.h>
void DtEditorDisableRedisplay(
Widget widget);

DESCRIPTION

The DtEditorDisableRedisplay function prevents redisplay of a DtEditor widget even though its visual attributes have been modified. The visual appearance of the widget remains unchanged until DtEditorEnableRedisplay(3) is called. This allows an application to make multiple changes to an editor widget without causing intermediate visual updates.

The widget argument specifies the DtEditor widget ID.

For a complete definition of the DtEditor widget and its associated resources, see DtEditor(3).

RETURN VALUE

The DtEditorDisableRedisplay function returns no value.

SEE ALSO

Dt/Editor.h - DtEditor(5), DtEditor(3), DtEditorEnableRedisplay(3).